// Author: = Juan Carlos De Abreu (jcabreur@gmail.com)

#include "transformation_node.h"

BEGIN_TEG_NAMESPACE();

ITransformationNode::ITransformationNode(int type)
    : ISceneNode(type), x_(0), y_(0), z_(0) {}

ITransformationNode::ITransformationNode(int type, float x, float y, float z)
    : ISceneNode(type), x_(x), y_(y), z_(z) {}

ITransformationNode::~ITransformationNode() {}

END_TEG_NAMESPACE();
